<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:include href="RuleCommonStyleSheet.xsl"/>
<xsl:output method="html"/>

<xsl:template match="rule">
	<table border="0">
		<tr><td>
		
		<span class="Text">

		<var name="cc_" value="$match.getConnectedComponent()$"/>
		<var name="graph_" value="$cc_.getUnderlyingGraph()$"/>
		<var name="counter_" value="$1$"/>
		

		<h5>Componentes:</h5>
		<ul>
			<iterator name ="iter1" value="$graph_.nodes()$">
				<li>
				<var name="node" value="$iter1_next$"/>
				<a href="r2a://GotoFile( $node.getResource().getFullPath().toString()$, $0$ )">$node.getElementName()$</a> 
				</li>				
			</iterator>
		</ul>
		
		<h5>Loops:</h5>
		<iterator name ="iter2" value="$cc_.cycles()$">
			<p/>
			<h6>Loop $counter_$</h6>
			<ul>
			<var name="counter_" value="$counter_ + 1$"/>
			<var name="c" value="$iter2_next$"/>
			<iterator name="iter3" value="$c.edges()$">
			  <li>
					<var name="edge" value="$iter3_next$"/>
					<var name="link" value="$edge.getFrom()$"/>
					<var name="target" value="$edge.getTo()$"/>
					$link.getElementName()$					
					<b>is $graph_.getEdgeType(edge).fromToString()$</b>
					$target.getElementName()$
					<if condition="$match.hasLocation( edge )$">
						line [
						<var name="comaCounter_" value="$0$"/>
						<iterator name="locations" value="$match.locations( edge )$">
							<var name="location" value="$locations_next$"/>
							<if condition="$comaCounter_ > 0$">
							,
							</if>
							<var name="comaCounter_" value="$comaCounter_ + 1$"/>
							<a href="r2a://GotoFile( $target.getResource().getFullPath().toString()$, $location.getStartPosition()$ )">$location.getLine()$</a>
							<xsl:text> </xsl:text>
						</iterator>					
						]
					</if>
			  </li>
			</iterator>
			</ul>
		</iterator>		

		</span>
		<p/>
		</td></tr>
		</table>
</xsl:template>

</xsl:stylesheet>











